% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derekovecs.R
\name{syntagmaticNeighbours}
\alias{syntagmaticNeighbours}
\title{Get syntagmatic neighbours}
\usage{
syntagmaticNeighbours(word = "Test", ...)
}
\arguments{
\item{word}{The word to get the syntagmatic neighbours for.}

\item{...}{Additional parameters to pass to the API.}
}
\value{
Data frame with the syntagmatic neighbours of a node predicted from derekovecs model, with the following columns:

\describe{
\item{average}{⟨a⟩ - Average raw activation of the collocator in the columns selected by auto-focus.}
\item{heat}{Vector of activation of the respective collocator in the slots around the target normalized by its maximum.}
\item{max}{max(a) - Maximum activation of the collocator anywhere in the output layer.}
\item{overall}{Σa/Σw – Sum of the activations over the whole window normalized by the total window sum (no auto-focus).}
\item{pos}{Binary encoded position of where in the window around the node the collocate is predecited with above 0 probability, e.g. 64 = 2^6 ≙ 00010 node 00000}
\item{rank}{Frequency rank of predicted collocate}
\item{word}{Predicted collocate}
}
}
\description{
Get the syntagmatic neighbour predictions of a word from the DeReKoVecs model (see Fankhauser/Kupietz 2022, 2017).
}
